fntsample(1)

NAME
fntsample - PDF and PostScript font samples generator

SYNOPSIS
fntsample [ OPTIONS ] -f FONT-FILE -o OUTPUT-FILE
fntsample -h

DESCRIPTION
fntsample program can be used to generate font samples that show Unicode coverage of the font and are similar in appearance to Unicode charts. Samples can be saved into PDF (default) or PostScript file.

OPTIONS
fntsample supports the following options.

--blocks-file, -b BLOCKS-FILE
    Read Unicode blocks information from BLOCKS-FILE.

--font-file, -f FONT-FILE
    Make samples of FONT-FILE.

--font-index, -n IDX
    Font index for FONT-FILE specified using --font-file option. Useful for files that contain multiple fonts, like TrueType Collections (.ttc). By default font with index 0 is used.

--output-file, -o OUTPUT-FILE
    Write output to OUTPUT-FILE.

--other-font-file, -d OTHER-FONT
    Compare FONT-FILE with OTHER-FONT. Glyphs added to FONT-FILE will be highlighted.

--other-index, -m IDX
    Font index for OTHER-FONT specified using --other-font-file option.

--postscript-output, -s
    Use PostScript format for output instead of PDF.

--svg, -g
    Use SVG format for output. The generated document contains one page. Use range selection options to specify which.

--print-outline, -l
    Print document outlines data to standard output. This data can be used to add outlines (aka bookmarks) to resulting PDF file with pdfoutline program.

--write-outline, -w
    Write document outlines directly (only in PDF output).

--include-range, -i RANGE
    Show characters in RANGE.

--exclude-range, -x RANGE
    Do not show characters in RANGE.

--style, -t "STYLE: VAL"
    Set STYLE to value VAL. Run fntsample with option --help to see list of styles and default values.

--no-embed, -e
    Draw the outlines of the glyphs instead of embedding them in the PDF file. This can be used when embedding the font is not desired or not allowed.

--help, -h
    Display help text and exit.

Parameter RANGE for -i and -x can be given as one integer or a pair of integers delimited by minus sign (-). Integers can be specified in decimal, hexadecimal (0x...) or octal (0...) format. One integer of a pair can be missing (-N can be used to specify all characters with codes less or equal to N, and N- for all characters with codes greather or equal to N). Multiple -i and -x options can be used.

COLORS
Glyph cells can have one of several background colors. Meaning of those colors is following:

white
    normal glyph present in the font, this includes space glyphs that are usually invisible;

gray
    this glyph is defined in Unicode but not present in the font;

blue
    this is a control character;

black
    this glyph is not defined in Unicode;

yellow
    this is a new glyph (only when used with -d).

ENVIRONMENT

SOURCE_DATE_EPOCH
    If $SOURCE_DATE_EPOCH is set, its value is interpreted as Unix timestamp to be used for creation date of generated PDF files. This is useful for making builds that use fntsample reproducible.

EXAMPLES
Make PDF samples for font.ttf and write them to file samples.pdf:
    fntsample -f font.ttf -o samples.pdf

Make PDF samples for font.ttf, compare it with oldfont.ttf and highlight new glyphs. Write output to file samples.pdf:
    fntsample -f font.ttf -d oldfont.ttf -o samples.pdf

Make PostScript samples for font.ttf and write output to file samples.ps. Show only glyphs for characters with codes less or equal to U+04FF but exclude U+0370-U+03FF:
    fntsample -f font.ttf -s -o samples.ps -i -0x04FF -x 0x0370-0x03FF

Make PDF samples for font.ttf and save output to file samples.pdf adding outlines to it:
    fntsample -f font.ttf -o temp.pdf -l > outlines.txt
    pdfoutline temp.pdf outlines.txt samples.pdf

AUTHOR
Copyright © Ievgenii Meshcheriakov <eugen@debian.org>
Homepage: <https://github.com/eugmes/fntsample>

SEE ALSO

pdfoutline(1)